/deployments/{id}/steps
GET
/deployments/{id}/steps
const url = 'https://example.com/api/v1/deployments/example/steps';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/deployments/example/stepsParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Default Response
Media type application/json
Array<object>
object
Example generated
[ { "id": "example", "ordinal": 1, "name": "example", "status": "example", "startedAt": "2026-04-15T12:00:00Z", "finishedAt": "2026-04-15T12:00:00Z" }]Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}